petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMShellSetCreateMatrix

sets the routine to create a matrix associated with the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateMatrix(DM dm,PetscErrorCode (*func)(DM,Mat*))

Logically Collective on DM

### Input Arguments

| dm | - the shell DM
| func | - the function to create a matrix

### See Also

DMCreateMatrix(), DMShellSetMatrix(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages